/*

User
can you create an openscad 3d model of a simple stick figure? focus on anatomy.

ChatGPT
Creating a detailed anatomical stick figure in OpenSCAD can be quite complex due to its limited capabilities for organic shapes. However, you can create a simplified stick figure with basic limb representations. Here's an example:

*/

// Parameters
body_length = 30;
head_radius = 5;
arm_length = 15;
leg_length = 20;

// Body (main trunk)
cylinder(h = body_length, d = 10);

// Head
translate([0, 0, body_length])
    sphere(r = head_radius);

// Arms
translate([0, 0, body_length])
    rotate([90, 0, 0])
    rotate([0, 0, -45])
    translate([0, arm_length / 2, 0])
    cylinder(h = arm_length, d1 = 2, d2 = 1);

translate([0, 0, body_length])
    rotate([90, 0, 0])
    rotate([0, 0, 45])
    translate([0, arm_length / 2, 0])
    cylinder(h = arm_length, d1 = 2, d2 = 1);

// Legs
translate([0, 0, 0])
    rotate([90, 0, 0])
    translate([0, -leg_length / 2, -body_length])
    cylinder(h = leg_length, d1 = 2, d2 = 1);

translate([0, 0, 0])
    rotate([90, 0, 0])
    translate([0, -leg_length / 2, -body_length - leg_length])
    cylinder(h = leg_length, d1 = 2, d2 = 1);
