/*

User
can you make a openscad 3d model of a chair in openscad. focus on functional use in a doll-house.

ChatGPT
Certainly! Designing a simple chair model in OpenSCAD suitable for a dollhouse involves creating a structure that is both recognizable as a chair and scaled appropriately for dollhouse use. We'll focus on basic geometric shapes to create a functional chair design.

Here's an OpenSCAD script to create a basic chair:



*/


// Parameters
$fn = 20; // Smoothness of circles
legHeight = 30;
legWidth = 2;
seatWidth = 20;
seatDepth = 20;
seatHeight = 2;
backrestHeight = 30;
backrestWidth = 2;

// Chair legs
for (x = [-1, 1]) {
    for (y = [-1, 1]) {
        translate([x * (seatWidth / 2 - legWidth / 2), y * (seatDepth / 2 - legWidth / 2), 0])
            cube([legWidth, legWidth, legHeight], center = true);
    }
}

// Seat
translate([0, 0, legHeight - seatHeight / 2])
    cube([seatWidth, seatDepth, seatHeight], center = true);

// Backrest
translate([0, seatDepth / 2 - backrestWidth / 2, legHeight + backrestHeight / 2])
    cube([seatWidth, backrestWidth, backrestHeight], center = true);
